import request from '@/utils/request'

// 查询PCT申请导入列表
export function listDPctApplyInfo(query) {
  return request({
    url: '/dimp/dPctApplyInfo/list',
    method: 'get',
    params: query
  })
}

// 查询PCT申请导入详细
export function getDPctApplyInfo(id) {
  return request({
    url: '/dimp/dPctApplyInfo/' + id,
    method: 'get'
  })
}

// 新增PCT申请导入
export function addDPctApplyInfo(data) {
  return request({
    url: '/dimp/dPctApplyInfo',
    method: 'post',
    data: data
  })
}

// 修改PCT申请导入
export function updateDPctApplyInfo(data) {
  return request({
    url: '/dimp/dPctApplyInfo',
    method: 'put',
    data: data
  })
}

// 删除PCT申请导入
export function delDPctApplyInfo(id) {
  return request({
    url: '/dimp/dPctApplyInfo/' + id,
    method: 'delete'
  })
}
